Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

SOLVED 11.3 - RC1 All my Jails vanished

Elo

Newbie
Joined
Mar 11, 2012
Messages
89
After installing the RC1 as a fresh install and uploading the last config file , all my Jails disappeared. Runing a iocage list gives the response as below. Any ideas on how to handle this.

root@OB-NAS-MAIN:~ # iocage list
OB-NAS-JAILS/iocage/jails/TLS mountpoint is misconfigured. Please correct this.
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 20, in run
cp.check_returncode()
File "/usr/local/lib/python3.7/subprocess.py", line 444, in check_returncode
self.stderr)
subprocess.CalledProcessError: Command '['zfs', 'get', '-H', '-o', 'property,value', 'all', 'Sertifikat']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/iocage", line 10, in <module>
sys.exit(cli())
File "/usr/local/lib/python3.7/site-packages/click/core.py", line 764, in __call__
return self.main(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/click/core.py", line 717, in main
rv = self.invoke(ctx)
File "/usr/local/lib/python3.7/site-packages/click/core.py", line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File "/usr/local/lib/python3.7/site-packages/click/core.py", line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/usr/local/lib/python3.7/site-packages/click/core.py", line 555, in invoke
return callback(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/iocage_cli/list.py", line 83, in cli
dataset_type, header, _long, _sort, plugin=plugins, quick=quick)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1323, in list
**kwargs
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_list.py", line 84, in list_datasets
_all = self.list_all(ds)
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_list.py", line 197, in list_all
mountpoint = jail.properties['mountpoint']
File "/usr/local/lib/python3.7/site-packages/iocage_lib/resource.py", line 23, in properties
self.resource_name, self.zfs_resource
File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 54, in properties
resource_type, 'get', '-H', '-o', 'property,value', 'all', dataset
File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 22, in run
raise ZFSException(cp.returncode, cp.stderr)
iocage_lib.zfs.ZFSException: cannot open 'Sertifikat': dataset does not exist


Further how do I get rid of all traces of the old jails if I want to just reestablish them and install the SW in them fresh?
 
Last edited:

Elo

Newbie
Joined
Mar 11, 2012
Messages
89
This had nothing to do with the upgrade but was due to change of MB. Rather embarrassing. Interfacec was not correct and some other HW related issues prevented the Jails to start/run properly...
 
Top